Templates
Get template library item
GET
/
v1
/
templates
/
library
/
{libraryItemID}
Get template library item
curl --request GET \
--url https://api.wazapin.com/v1/templates/library/{libraryItemID}const options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/templates/library/{libraryItemID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/templates/library/{libraryItemID}"
response = requests.get(url)
print(response.text){
"body_text": "<string>",
"category": "<string>",
"header_format": "<string>",
"id": "<string>",
"language": "<string>",
"slug": "<string>",
"sort_order": 123,
"title": "<string>",
"variables": "<unknown>",
"buttons": [
{
"text": "<string>",
"type": "<string>",
"example": "<string>",
"flow_action": "<string>",
"flow_id": "<string>",
"navigate_screen": "<string>",
"otp_type": "<string>",
"package_name": "<string>",
"phone_number": "<string>",
"signature_hash": "<string>",
"url": "<string>"
}
],
"description": "<string>",
"footer_text": "<string>",
"header_text": "<string>",
"industry": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
Response
OK
⌘I
Get template library item
curl --request GET \
--url https://api.wazapin.com/v1/templates/library/{libraryItemID}const options = {method: 'GET'};
fetch('https://api.wazapin.com/v1/templates/library/{libraryItemID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/templates/library/{libraryItemID}"
response = requests.get(url)
print(response.text){
"body_text": "<string>",
"category": "<string>",
"header_format": "<string>",
"id": "<string>",
"language": "<string>",
"slug": "<string>",
"sort_order": 123,
"title": "<string>",
"variables": "<unknown>",
"buttons": [
{
"text": "<string>",
"type": "<string>",
"example": "<string>",
"flow_action": "<string>",
"flow_id": "<string>",
"navigate_screen": "<string>",
"otp_type": "<string>",
"package_name": "<string>",
"phone_number": "<string>",
"signature_hash": "<string>",
"url": "<string>"
}
],
"description": "<string>",
"footer_text": "<string>",
"header_text": "<string>",
"industry": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}